/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Fevrier 2005                   */

public class NombreInconnuEnConsole {

  /* Fonction principale                                  */

  public static void main(String [] args) {
    Console.setTitle("NombreInconnu");
    int nombre =(int) (Math.random()*101);    // Tirage au sort du nombre a trouver
    int v;                                    // Valeur testee par l'utilisateur
    int cpt = 0;                              // Compteur d'essais
  /* Boucle de demande des nombres a tester               */
    do {
  /* Lecture clavier du nombre a tester                   */
      Console.out.print("Tentez votre chance : ");
      v = Integer.valueOf(Console.in.readLine()).intValue();
  /* Increment du compteur d'essai                        */
      cpt++;
  /* Affichages des messages d'aide en fonction           */
  /* des valeurs respectives du nombre a trouver          */
  /* et du nombre teste                                   */
      if ( v > nombre )
        Console.out.println("Trop haut");
      if ( v < nombre )
        Console.out.println("Trop bas"); }
    while ( v != nombre );
  /* La boucle s'execute tant que la bonne valeur         */
  /* n'a pas ete donnee.                                  */
    Console.out.println("Gagne en "+cpt+" coups");
  }
}